/* Tag Explorer Specific Styles */
#tagExplorerApp {
  margin: auto;
  box-sizing: border-box;
  max-width: 600px;
  background: var(--card-bg);
  width: 100%;
  border-radius: 16px;
  border: 1px solid var(--card-border);
  padding: 24px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
  font-family: 'karla', sans-serif;
}

#tagExplorerApp h2 {
  text-align: center;
}

.tag-options-container {
  display: grid;
  gap: 12px;
  margin-top: 16px;
  max-height: 500px;
  overflow-y: auto;
}

.tag-options-container button {
  padding: 12px;
  border: 1px solid var(--card-border);
  border-radius: 16px;
  cursor: pointer;
  font-size: 1rem;
  background: var(--card-bg);
  color: var(--text-color);
  transition: 0.2s;
  text-align: left;
  gap: 4px;

}

.tag-options-container button:hover {
  background: var(--button-bg);
  border-radius: 16px; 
  box-shadow: 8px 10px 25px var(--button-bg);
  color: var(--button-text-color);
}


.Depth-restart {
  margin-top: 20px;
  padding: 16px;
  border-radius: 12px;
  background: var(--background-color-highlight);
  color: var(--text-color);
}

.tag-result-card {
  border: 1px solid var(--card-border);
  padding: 16px;
  border-radius: 12px;
  margin-top: 16px;
  line-height: 1.6;
}

.tag-view-btn {
  display: inline-block;
  margin-top: 14px;
  padding: 12px;
  background: var(--button-bg);
  border: 1px solid var(--card-border);
  color: var(--button-text-color);
  border-radius: 10px;
  text-decoration: none;
  font-weight: 500;
  text-align: center;
}

.tag-restart-btn {
  width: 100%;
  margin-top: 20px;
  padding: 16px;
  border: none;
  border-radius: 12px;
  cursor: pointer;
  background: var(--background-color-highlight);
  color: var(--text-color);
}